Package org.zkoss.zhtml

## Class Script

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.impl.ContentTag
      - - org.zkoss.zhtml.Script

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Script
      extends ContentTag

  The SCRIPT tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Script()` |
    `Script​(java.lang.String content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCharset()` | Returns the charset of this script tag.
    `java.lang.String` | `getCrossorigin()` | Returns the crossorigin of this tag.
    `java.lang.String` | `getIntegrity()` | Returns the integrity of this tag.
    `java.lang.String` | `getNonce()` | Returns the nonce of this tag.
    `java.lang.String` | `getReferrerpolicy()` | Returns the referrerpolicy of this tag.
    `java.lang.String` | `getSrc()` | Returns the src of this script tag.
    `java.lang.String` | `getType()` | Returns the type of this script tag.
    `boolean` | `isAsync()` | Returns the async of this script tag.
    `boolean` | `isDefer()` | Returns the defer of this script tag.
    `boolean` | `isNomodule()` | Returns the nomodule of this tag.
    `void` | `setAsync​(boolean async)` | Sets the async of this script tag.
    `void` | `setCharset​(java.lang.String charset)` | Sets the charset of this script tag.
    `void` | `setCrossorigin​(java.lang.String crossorigin)` | Sets the crossorigin of this tag.
    `void` | `setDefer​(boolean defer)` | Sets the defer of this script tag.
    `void` | `setIntegrity​(java.lang.String integrity)` | Sets the integrity of this tag.
    `void` | `setNomodule​(java.lang.Boolean nomodule)` | Sets the nomodule of this tag.
    `void` | `setNonce​(java.lang.String nonce)` | Sets the nonce of this tag.
    `void` | `setReferrerpolicy​(java.lang.String referrerpolicy)` | Sets the referrerpolicy of this tag.
    `void` | `setSrc​(java.lang.String src)` | Sets the src of this script tag.
    `void` | `setType​(java.lang.String type)` | Sets the type of this script tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.ContentTag

      `getContent, getWidgetClass, isChildable, redrawChildrenDirectly, renderProperties, setContent`

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, hasDynamicProperty, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Script

          public Script()

    - #### Script

          public Script​(java.lang.String content)

  - ### Method Detail

    - #### isAsync

          public boolean isAsync()

      Returns the async of this script tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setAsync

          public void setAsync​(boolean async)
                        throws WrongValueException

      Sets the async of this script tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getCharset

          public java.lang.String getCharset()

      Returns the charset of this script tag.
      Since:
        8.0.3

    - #### setCharset

          public void setCharset​(java.lang.String charset)
                          throws WrongValueException

      Sets the charset of this script tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isDefer

          public boolean isDefer()

      Returns the defer of this script tag.
      Since:
        8.0.3

    - #### setDefer

          public void setDefer​(boolean defer)
                        throws WrongValueException

      Sets the defer of this script tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getSrc

          public java.lang.String getSrc()

      Returns the src of this script tag.
      Since:
        8.0.3

    - #### setSrc

          public void setSrc​(java.lang.String src)
                      throws WrongValueException

      Sets the src of this script tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getType

          public java.lang.String getType()

      Returns the type of this script tag.
      Since:
        8.0.3

    - #### setType

          public void setType​(java.lang.String type)
                       throws WrongValueException

      Sets the type of this script tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getCrossorigin

          public java.lang.String getCrossorigin()

      Returns the crossorigin of this tag.
      Since:
        10.0.0

    - #### setCrossorigin

          public void setCrossorigin​(java.lang.String crossorigin)
                              throws WrongValueException

      Sets the crossorigin of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getIntegrity

          public java.lang.String getIntegrity()

      Returns the integrity of this tag.
      Since:
        10.0.0

    - #### setIntegrity

          public void setIntegrity​(java.lang.String integrity)
                            throws WrongValueException

      Sets the integrity of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### isNomodule

          public boolean isNomodule()

      Returns the nomodule of this tag.
      Since:
        10.0.0

    - #### setNomodule

          public void setNomodule​(java.lang.Boolean nomodule)
                           throws WrongValueException

      Sets the nomodule of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getReferrerpolicy

          public java.lang.String getReferrerpolicy()

      Returns the referrerpolicy of this tag.
      Since:
        10.0.0

    - #### setReferrerpolicy

          public void setReferrerpolicy​(java.lang.String referrerpolicy)
                                 throws WrongValueException

      Sets the referrerpolicy of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getNonce

          public java.lang.String getNonce()

      Returns the nonce of this tag.
      Since:
        10.0.0

    - #### setNonce

          public void setNonce​(java.lang.String nonce)
                        throws WrongValueException

      Sets the nonce of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0